# $Revision: 1.4 $, $Date: 2012/01/22 17:06:18 $
%define 	module	pymox
Summary:	Mox is a mock object framework for Python
Name:		python-%{module}
Version:	0.5.3
Release:	1
License:	Apache
Group:		Libraries/Python
Source0:	http://pymox.googlecode.com/files/mox-%{version}.tar.gz
# Source0-md5:	2c43da56ed1bbbbf7805e81c76a924cc
URL:		http://pyme.sourceforge.net/
%pyrequires_eq	python-modules
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mox is based on EasyMock, a Java mock object framework.

Mox will make mock objects for you, so you don't have to create your
own! It mocks the public/protected interfaces of Python objects. You
set up your mock objects expected behavior using a domain specific
language (DSL), which makes it easy to use, understand, and refactor!

%prep
%setup -q -n mox-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pymox.spec,v $
Revision 1.4  2012/01/22 17:06:18  zbyniu
- up to 0.5.3; noarch; cleanups

Revision 1.3  2011/01/23 21:10:43  sparky
- added BR: python-modules, rpm-pythonprov

Revision 1.2  2010/07/08 08:32:40  arekm
- release 2

Revision 1.1  2009/09/18 19:17:33  arekm
- initial
